org.apache.sysds.runtime.io

## Class ReaderHDF5Parallel

- java.lang.Object
- - org.apache.sysds.runtime.io.MatrixReader
  - - org.apache.sysds.runtime.io.ReaderHDF5
    - - org.apache.sysds.runtime.io.ReaderHDF5Parallel

    public class ReaderHDF5Parallel
    extends ReaderHDF5

### Constructor Summary

Constructors
Constructor and Description
`ReaderHDF5Parallel(FileFormatPropertiesHDF5 props)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixBlock` `readMatrixFromHDFS(String fname, long rlen, long clen, int blen, long estnnz)`
`MatrixBlock` `readMatrixFromInputStream(InputStream is, long rlen, long clen, int blen, long estnnz)`

### Methods inherited from class org.apache.sysds.runtime.io.ReaderHDF5

`computeHDF5Size, readMatrixFromHDF5`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReaderHDF5Parallel

    public ReaderHDF5Parallel(FileFormatPropertiesHDF5 props)

### Method Detail

#### readMatrixFromHDFS

    public MatrixBlock readMatrixFromHDFS(String fname,
                                          long rlen,
                                          long clen,
                                          int blen,
                                          long estnnz)
                                   throws IOException,
                                          DMLRuntimeException

Overrides:
  `readMatrixFromHDFS` in class `ReaderHDF5`
Throws:
  `IOException`
  `DMLRuntimeException`

#### readMatrixFromInputStream

    public MatrixBlock readMatrixFromInputStream(InputStream is,
                                                 long rlen,
                                                 long clen,
                                                 int blen,
                                                 long estnnz)
                                          throws IOException,
                                                 DMLRuntimeException

Overrides:
  `readMatrixFromInputStream` in class `ReaderHDF5`
Throws:
  `IOException`
  `DMLRuntimeException`